Devuan bug report logs - #407
eudev preinst fails to detect availability of requisite kernel features

Package: eudev; Reported by: KORN Andras <korn-debbugs@elan.rulez.org>; Keywords: patch; merged with #383; Done: dak@devuan.org; Maintainer for eudev is Devuan Dev Team <devuan-dev@lists.dyne.org>.
Notification sent to Arne Wichmann <aw@old-forest.org>:
bug acknowledged by developer. Full text available.
Reply sent to dak@devuan.org:
You have taken responsibility. Full text available.

Message received at 407-done@bugs.devuan.org:


Received: (at 407-done) by bugs.devuan.org; 5 Sep 2021 22:50:05 +0000
Return-Path: <dak@devuan.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Sun, 05 Sep 2021 22:50:04 +0000 (UTC)
Received: from mail.devuan.dev (mail.devuan.dev [54.36.142.182])
	by vm6.ganeti.dyne.org (Postfix) with ESMTP id 8D1F0F60B7B
	for <407-done@bugs.devuan.org>; Mon,  6 Sep 2021 00:45:14 +0200 (CEST)
Received: from dak.ganeti1.devuan.org (dak.devuan.org [192.168.97.90])
	by mail.devuan.dev (Postfix) with SMTP id 940A93A1925
	for <407-done@bugs.devuan.org>; Sun,  5 Sep 2021 21:29:25 +0000 (UTC)
Received: (nullmailer pid 22284 invoked by uid 107);
	Sun, 05 Sep 2021 21:29:25 -0000
From: dak@devuan.org
To: 407-done@bugs.devuan.org
Subject: #407: fixed in src:eudev version 3.2.9-10
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit
Date: Sun, 05 Sep 2021 21:29:25 +0000
Message-Id: <1630877365.273609.22283.nullmailer@dak.localnet.devuan.org>
X-Spam-Status: No, score=0.0 required=5.0 tests=SPF_HELO_FAIL
	autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org


Version: 3.2.9-10

Source package eudev (3.2.9-10) added to Devuan suite unstable.

This closes bug report 407.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 04 Sep 2021 13:05:24 +0200
Source: eudev
Architecture: source
Version: 3.2.9-10
Distribution: unstable
Urgency: high
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Changed-By: Svante Signell <svante.signell@gmail.com>
Closes: 407 598 600
Changes:
 eudev (3.2.9-10) unstable; urgency=high
 .
   * debian/eudev.maintscript: Remove. Fixes build with debhelper 13.5.
   * debian/changelog: Fix indentation and long lines.
   * debian/eudev.preinst: Fix detection of needed kernel features for
     recent kernels. (Closes: #407, #598)
   * debian/control: Remove dependency on debconf.
   * debian/eudev.postrm: Remove db_purge since we no longer use debconf.
     (Closes: #600)
Checksums-Sha1:
 5ce112896d9724eaa7b38fa98987e9c7a088b4c4 2349 eudev_3.2.9-10.dsc
 7828272d2f41b7934340975d0e1c4d788780060b 62388 eudev_3.2.9-10.debian.tar.xz
 33c9448e580a35ff8d503846fc70814b36194f98 5158 eudev_3.2.9-10_source.buildinfo
Checksums-Sha256:
 6edeac63382214a78eb0ee2267021ef32617155c20aea71cbdeff22e65e20e6d 2349 eudev_3.2.9-10.dsc
 3a9198b282ae092f28a4f0766c35d8369f5ac7a2e41b48842bd2cd5a655d8838 62388 eudev_3.2.9-10.debian.tar.xz
 0f218435c089746fa805aed6eda76705c944b2081e7e51a6d7e8bd35ae104e3b 5158 eudev_3.2.9-10_source.buildinfo
Files:
 3fd2203af8cb37e2d5a2f3deffbddace 2349 admin optional eudev_3.2.9-10.dsc
 1aebdadfe119630c4aa38925e6487428 62388 admin optional eudev_3.2.9-10.debian.tar.xz
 e2621664cfd62622da0206b953c1ac27 5158 admin optional eudev_3.2.9-10_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAmE1NJsACgkQlFMhJFQZ
Ivs69Af/TUwf4pYpmE7aF1LYzrctBqPEXhCenKB7urP9SEGjK4cMnxg+bS6C0Zty
jDzuuPOhjEjqtbNw00j4xQ8nTeaME6kCctV8yonygjM/OuzqlrknZQNW5le6H36g
k9lhi78QSkp39BIQI+OUUwuQSMPbpMG82i0JIiSKCue2JaN0pXHZeiCAubQrx0TY
jIxHrqDZOqBXGJFJkF+/ch912ssaHQ/IsrUZ1q/WKeikO9/c+q4Qo9VK13TWGBEl
DG6t4RHv2bfaodWWr2dNPEOp7g74isXU7VWXcMkobvMAgnr4Da+/XRhwjHGfndZd
XtSz//BYKdpCJMSHGAXVgbm4dQRT7w==
=jlhk
-----END PGP SIGNATURE-----

Notification sent to KORN Andras <korn-debbugs@elan.rulez.org>:
bug acknowledged by developer. Full text available.
Reply sent to dak@devuan.org:
You have taken responsibility. Full text available.
Merged 383 407 Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. Full text available.
Added tag(s) patch. Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. Full text available.
Merged 383 407 Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. Full text available.
Marked as found in versions 3.2.2-13. Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. Full text available.

Message received at 407@bugs.devuan.org:


Received: (at 407) by bugs.devuan.org; 26 Apr 2021 16:40:06 +0000
Return-Path: <aw@old-forest.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 26 Apr 2021 16:40:06 +0000 (UTC)
Received: from old-forest.org (penta.old-forest.org [217.197.86.38])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id A6811F60896;
	Mon, 26 Apr 2021 18:32:05 +0200 (CEST)
Received: from [192.168.3.5] (helo=chao)
	by old-forest.org with esmtps  (TLS1.3) tls TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
	(Exim 4.94)
	(envelope-from <aw@old-forest.org>)
	id 1lb49R-0007Vx-WD; Mon, 26 Apr 2021 17:32:02 +0100
Received: from [192.168.10.23] (helo=anhrefn.saar.de)
	by chao with esmtps (Exim 4.89)
	(envelope-from <aw@old-forest.org>)
	id 1lb3qN-0007lV-Fp; Mon, 26 Apr 2021 18:12:19 +0200
Received: from aw by anhrefn.saar.de with local (Exim 4.92)
	(envelope-from <aw@old-forest.org>)
	id 1lb45u-0004uI-RR; Mon, 26 Apr 2021 18:28:22 +0200
Date: Mon, 26 Apr 2021 18:28:22 +0200
From: Arne Wichmann <aw@saar.de>
To: control@bugs.devuan.org, 407@bugs.devuan.org
Subject: eudev Bug reorg
Message-ID: <20210426162822.GA18096@anhrefn.saar.de>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
	protocol="application/pgp-signature"; boundary="gBBFr7Ir9EOA20Yy"
Content-Disposition: inline
X-message-flag: Outluck ist kaputt :-)
Return-Receipt-To: aw@anhrefn.saar.de
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Status: No, score=0.2 required=5.0 tests=HEADER_FROM_DIFFERENT_DOMAINS,
	SPF_HELO_PASS,SPF_PASS autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org


--gBBFr7Ir9EOA20Yy
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

reopen 383
forcemerge 407 383
tags 407 + patch
thanks

After looking a bit more deeply into this I find that it is still open.

It only bites if you are running a too new kernel while upgrading from
someting below 3.2.7-1 to 3.2.7-1 or greater. And while not being chrooted.

I propose the patch of Andr=E1s:

--- ./eudev.preinst     2020-11-07 21:09:24.000000000 +0100
+++ /tmp/eudev.preinst  2021-04-26 18:25:02.970434903 +0200
@@ -18,7 +18,7 @@

       local needed_symbols=3D'inotify_init signalfd accept4 open_by_handle=
_at timerfd_create epoll_create'
       for symbol in $needed_symbols; do
-      if ! egrep -q "^[a-fA-F0-9]+ T \.?sys_${symbol}$" /proc/kallsyms; th=
en
+      if ! egrep -q "^[a-fA-F0-9]+ T .*sys_${symbol}$" /proc/kallsyms; then
          cat <<END
 Since release 198, udev requires support for the following features in
 the running kernel:

----
It leaves open corner cases but less than the version before.

cu

AW
--=20
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@saar.de)

--gBBFr7Ir9EOA20Yy
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEtFUkbndwdIn81UX3EIremXYA/4kFAmCG6iEACgkQEIremXYA
/4l0uQ/+NLGDLpcnkOHSLEVKmzI6fhvGRVTM18Fpq9DH85VqmkuJvH8w6/rcIW0e
2/JBsb/pHjVVLoUxo1JJrwl47JbSwITgmZD2AmH6q4+VU7GxLqF/5ewTPP/7qzvm
BJmVXwK/ItALhHK/SF7JsJTNBpN5LieKO0FJCFkwTCubC4Pi+m5eNW81xbGmEJmM
TvD+c/0eKjLbduyYj/uy7oeWQDe2JB8oulNhpsbCOWEgQVHqnl6rnkKjA7QI1eX7
FszQvWA18DTmkS2EYHbKAi2jBAHtZwZ2JnPOaDe9b3S1wsVBT6ai16h6Dn2k7cyM
Wx1mDKDS9+ysrWUlWppiF4J6UdTSTTcH9YgpVrx4NR5GRIRR47lcDjAWQZVAsx/G
vTmoQQBQK2IFg7x6vVcSsvZXjmAP3hSMvKJVvks9WaCGiQ/k16+TmzZ0XKX+9zQ6
so8Vxqjy+9X6tpFfzPeDwFv7z7LKmJKg5Vu7kUzCx5uyPczYzfSrhTvnr07Pg+vF
4uMYdqP95Lgfjp9h88foY/jxcB9xxyw14bsTA0fsfy3bm/ETPkN3AKkoL19XstLA
7yMwAj8QIbV8ApRkwoypQI0vHO3zTt0ZMaaL8ild6KmOZEPtX3ZO0PhWPXrgdXJC
tTcil7stguA3Yh1Xxk8eYvBtnW1HJV1sWChmVFTUynLNQDu/vzk=
=7zNE
-----END PGP SIGNATURE-----

--gBBFr7Ir9EOA20Yy--

Acknowledgement sent to Arne Wichmann <aw@saar.de>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#407; Package eudev. Full text available.

Message received at 407@bugs.devuan.org:


Received: (at 407) by bugs.devuan.org; 26 Apr 2021 16:40:04 +0000
Return-Path: <aw@old-forest.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Mon, 26 Apr 2021 16:40:04 +0000 (UTC)
Received: from old-forest.org (penta.old-forest.org [217.197.86.38])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by vm6.ganeti.dyne.org (Postfix) with ESMTPS id A6811F60896;
	Mon, 26 Apr 2021 18:32:05 +0200 (CEST)
Received: from [192.168.3.5] (helo=chao)
	by old-forest.org with esmtps  (TLS1.3) tls TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
	(Exim 4.94)
	(envelope-from <aw@old-forest.org>)
	id 1lb49R-0007Vx-WD; Mon, 26 Apr 2021 17:32:02 +0100
Received: from [192.168.10.23] (helo=anhrefn.saar.de)
	by chao with esmtps (Exim 4.89)
	(envelope-from <aw@old-forest.org>)
	id 1lb3qN-0007lV-Fp; Mon, 26 Apr 2021 18:12:19 +0200
Received: from aw by anhrefn.saar.de with local (Exim 4.92)
	(envelope-from <aw@old-forest.org>)
	id 1lb45u-0004uI-RR; Mon, 26 Apr 2021 18:28:22 +0200
Date: Mon, 26 Apr 2021 18:28:22 +0200
From: Arne Wichmann <aw@saar.de>
To: control@bugs.devuan.org, 407@bugs.devuan.org
Subject: eudev Bug reorg
Message-ID: <20210426162822.GA18096@anhrefn.saar.de>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
	protocol="application/pgp-signature"; boundary="gBBFr7Ir9EOA20Yy"
Content-Disposition: inline
X-message-flag: Outluck ist kaputt :-)
Return-Receipt-To: aw@anhrefn.saar.de
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Status: No, score=0.2 required=5.0 tests=HEADER_FROM_DIFFERENT_DOMAINS,
	SPF_HELO_PASS,SPF_PASS autolearn=disabled version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org


--gBBFr7Ir9EOA20Yy
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

reopen 383
forcemerge 407 383
tags 407 + patch
thanks

After looking a bit more deeply into this I find that it is still open.

It only bites if you are running a too new kernel while upgrading from
someting below 3.2.7-1 to 3.2.7-1 or greater. And while not being chrooted.

I propose the patch of Andr=E1s:

--- ./eudev.preinst     2020-11-07 21:09:24.000000000 +0100
+++ /tmp/eudev.preinst  2021-04-26 18:25:02.970434903 +0200
@@ -18,7 +18,7 @@

       local needed_symbols=3D'inotify_init signalfd accept4 open_by_handle=
_at timerfd_create epoll_create'
       for symbol in $needed_symbols; do
-      if ! egrep -q "^[a-fA-F0-9]+ T \.?sys_${symbol}$" /proc/kallsyms; th=
en
+      if ! egrep -q "^[a-fA-F0-9]+ T .*sys_${symbol}$" /proc/kallsyms; then
          cat <<END
 Since release 198, udev requires support for the following features in
 the running kernel:

----
It leaves open corner cases but less than the version before.

cu

AW
--=20
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@saar.de)

--gBBFr7Ir9EOA20Yy
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEtFUkbndwdIn81UX3EIremXYA/4kFAmCG6iEACgkQEIremXYA
/4l0uQ/+NLGDLpcnkOHSLEVKmzI6fhvGRVTM18Fpq9DH85VqmkuJvH8w6/rcIW0e
2/JBsb/pHjVVLoUxo1JJrwl47JbSwITgmZD2AmH6q4+VU7GxLqF/5ewTPP/7qzvm
BJmVXwK/ItALhHK/SF7JsJTNBpN5LieKO0FJCFkwTCubC4Pi+m5eNW81xbGmEJmM
TvD+c/0eKjLbduyYj/uy7oeWQDe2JB8oulNhpsbCOWEgQVHqnl6rnkKjA7QI1eX7
FszQvWA18DTmkS2EYHbKAi2jBAHtZwZ2JnPOaDe9b3S1wsVBT6ai16h6Dn2k7cyM
Wx1mDKDS9+ysrWUlWppiF4J6UdTSTTcH9YgpVrx4NR5GRIRR47lcDjAWQZVAsx/G
vTmoQQBQK2IFg7x6vVcSsvZXjmAP3hSMvKJVvks9WaCGiQ/k16+TmzZ0XKX+9zQ6
so8Vxqjy+9X6tpFfzPeDwFv7z7LKmJKg5Vu7kUzCx5uyPczYzfSrhTvnr07Pg+vF
4uMYdqP95Lgfjp9h88foY/jxcB9xxyw14bsTA0fsfy3bm/ETPkN3AKkoL19XstLA
7yMwAj8QIbV8ApRkwoypQI0vHO3zTt0ZMaaL8ild6KmOZEPtX3ZO0PhWPXrgdXJC
tTcil7stguA3Yh1Xxk8eYvBtnW1HJV1sWChmVFTUynLNQDu/vzk=
=7zNE
-----END PGP SIGNATURE-----

--gBBFr7Ir9EOA20Yy--

Acknowledgement sent to Arne Wichmann <aw@saar.de>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#407; Package eudev. Full text available.

Message received at submit@bugs.devuan.org:


Received: (at submit) by bugs.devuan.org; 11 Mar 2020 17:30:04 +0000
Return-Path: <korn-submit=bugs.devuan.org@elan.rulez.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by doc.devuan.org with IMAP (fetchmail-6.4.0.beta4)
	for <debbugs@localhost> (single-drop); Wed, 11 Mar 2020 17:30:03 +0000 (UTC)
Received: from flamant.cae-engineering.hu (flamant.cae-engineering.hu [62.210.203.57])
	by vm6.ganeti.dyne.org (Postfix) with ESMTP id E678CF60BA1
	for <submit@bugs.devuan.org>; Wed, 11 Mar 2020 18:24:10 +0100 (CET)
Received: (qmail 63823 invoked from network); 11 Mar 2020 18:24:10 +0100
Received: from flamant.amavis.cae-engineering.hu (HELO localhost) (172.18.30.131)
  by flamant.qmail.cae-engineering.hu with ESMTP; 11 Mar 2020 18:24:10 +0100
X-Virus-Scanned: by amavisd-new-2.7.1 (20120429) at cae-engineering.hu
Received: from unknown ([172.18.30.1])
	by localhost (flamant.amavis.cae-engineering.hu [172.18.30.131]) (amavisd-new, port 1628)
	id WPcqa6Fs8IKz for <submit@bugs.devuan.org>;
	Wed, 11 Mar 2020 18:24:04 +0100 (CET)
Received: from akorn-home.user.vpn.cae-engineering.hu (HELO hellgate.av.hu) (172.18.28.253)
  by flamant.cae-engineering.hu with ESMTP; 11 Mar 2020 18:24:03 +0100
Received: (qmail 12816 invoked by uid 1000); 11 Mar 2020 18:24:03 +0100
Date: Wed, 11 Mar 2020 18:24:03 +0100
From: KORN Andras <korn-debbugs@elan.rulez.org>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: eudev preinst fails to detect availability of requisite kernel
 features
Message-ID: <20200311172403.oeprkzo6rz3volce@hellgate>
X-Reportbug-Version: 7.5.3+devuan3
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Spam-Status: No, score=0.0 required=5.0 tests=none autolearn=disabled
	version=3.4.2
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on tupac3.dyne.org

Package: eudev
Version: 3.2.9-7
Severity: normal

Hi,

this code:

  if [ -e /proc/kallsyms ]; then

      local needed_symbols='inotify_init signalfd accept4 open_by_handle_at timerfd_create epoll_create'
      for symbol in $needed_symbols; do
      if ! egrep -q "^[a-fA-F0-9]+ T \.?sys_${symbol}$" /proc/kallsyms; then
          cat <<END
Since release 198, udev requires support for the following features in
the running kernel:

- inotify(2)            (CONFIG_INOTIFY_USER)
- signalfd(2)           (CONFIG_SIGNALFD)
- accept4(2)
- open_by_handle_at(2)  (CONFIG_FHANDLE)
- timerfd_create(2)     (CONFIG_TIMERFD)
- epoll_create(2)       (CONFIG_EPOLL)
END
          exit 1
      fi
      done
  fi

thought that my kernel was missing one of the required features, but in fact I have all of them:

ffffffffab1bd402 T __ia32_sys_inotify_init
ffffffffab1bd402 T __x64_sys_inotify_init
ffffffffab1c1554 T __x64_sys_signalfd
ffffffffab1c1562 T __ia32_sys_signalfd
ffffffffab1c15fb T __ia32_compat_sys_signalfd
ffffffffab1c160d T __x32_compat_sys_signalfd
ffffffffab473fc5 T __sys_accept4
ffffffffab474170 T __x64_sys_accept4
ffffffffab474188 T __ia32_sys_accept4
ffffffffab1d5118 T __ia32_sys_open_by_handle_at
ffffffffab1d512a T __ia32_compat_sys_open_by_handle_at
ffffffffab1d513a T __x32_compat_sys_open_by_handle_at
ffffffffab1d514b T __x64_sys_open_by_handle_at
ffffffffab1c1c84 T __x64_sys_timerfd_create
ffffffffab1c1c91 T __ia32_sys_timerfd_create
ffffffffab1c029d T __ia32_sys_epoll_create
ffffffffab1c02b4 T __x64_sys_epoll_create

The regex is wrong; it should probably be

      if ! egrep -q "^[a-fA-F0-9]+ T .*sys_${symbol}$" /proc/kallsyms; then

This is with a self-built 4.19.23 kernel, fwiw.

-- Package-specific info:

-- System Information:
Init: runit (via /run/runit.stopit)

Best regards,

AndrĂ¡s

Ps. Please Cc me explicitly if you reply.

-- 
         Some people are like slinkies. Not really good for anything,
     yet you can't help but smile when you see one pushed down the stairs.

Acknowledgement sent to KORN Andras <korn-debbugs@elan.rulez.org>:
New bug report received and forwarded. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. Full text available.
Report forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#407; Package eudev. Full text available.

Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sun, 22 May 2022 20:39:01 UTC